# Created by pyp2rpm-3.3.4
%global pypi_name cesium

Name:           python-%{pypi_name}
Version:        0.9.12
Release:        1%{?dist}
Summary:        Machine Learning Time-Series Platform

License:        Modified BSD
URL:            http://cesium-ml.org
Source0:        %{pypi_source}

BuildRequires:  gcc
#https://bugzilla.redhat.com/show_bug.cgi?id=1823349
BuildRequires:  make

BuildRequires:  python3-devel
BuildRequires:  python3dist(cloudpickle)
BuildRequires:  python3dist(cython) >= 0.25
BuildRequires:  python3dist(dask) >= 2.5
BuildRequires:  python3dist(gatspy) >= 0.3
BuildRequires:  python3dist(joblib) >= 0.14.1
BuildRequires:  python3dist(pandas) >= 0.17
BuildRequires:  python3dist(scikit-learn) >= 0.22.1
BuildRequires:  python3dist(scipy) >= 0.16
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toolz)
BuildRequires:  python3dist(sphinx)

%description
Machine Learning Time Series

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cloudpickle)
Requires:       python3dist(dask) >= 2.5
Requires:       python3dist(gatspy) >= 0.3
Requires:       python3dist(joblib) >= 0.14.1
Requires:       python3dist(pandas) >= 0.17
Requires:       python3dist(scikit-learn) >= 0.22.1
Requires:       python3dist(scipy) >= 0.16
Requires:       python3dist(toolz)
%description -n python3-%{pypi_name}
Machine Learning Time Series

%package -n python-%{pypi_name}-doc
Summary:        cesium documentation
%description -n python-%{pypi_name}-doc
Documentation for cesium

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
#PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
##%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc LICENSE.txt
#html
%license LICENSE.txt

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.9.12-1
- Initial package.
